Results 1 to 9 of 9

Thread: Amazonmp3 app, install on 11.2?

  1. #1

    Cool Amazonmp3 app, install on 11.2?

    I get a dependency error when trying the 11.0 install off of amazon's site, saying lib-boost is not the right version. Any ideas for getting this to work in 11.2? I'd really appreciate it! I installed 11.2 last night and really lovin' it!

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,211
    Blog Entries
    15

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by wiccanhart1
    I get a dependency error when trying the 11.0 install off of amazon's
    site, saying lib-boost is not the right version. Any ideas for getting
    this to work in 11.2? I'd really appreciate it! I installed 11.2 last
    night and really lovin' it!
    Hi
    Here is a link on what to do.
    http://en.opensuse.org/Amazon_MP3_Do...on_openSUSE_11
    If that's too complicated, I have an rpm I built and have it running on
    11.2 and can give you a download link.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 13:39, 2 users, load average: 0.08, 0.09, 0.08
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  3. #3

    Default Re: Amazonmp3 app, install on 11.2?

    What is the link? I'd rather use your RPM. That other link is for a version of boost from Suse 10.3 which is no longer supported, if I am understanding that correctly, in fact the page is going to be deleted soon. I'll use your RPM though! Thanks a lot!

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,211
    Blog Entries
    15

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by wiccanhart1
    What is the link? I'd rather use your RPM. That other link is for a
    version of boost from Suse 10.3 which is no longer supported, if I am
    understanding that correctly, in fact the page is going to be deleted
    soon. I'll use your RPM though! Thanks a lot!
    Hi
    Yes, you can use older libraries fine that's the reason to install
    in /usr/local/lib.

    Here is the link;
    http://www.fileden.com/files/2009/4/...mjl.2.i586.rpm

    Install via
    Code:
    sudo rpm -Uhv amazonmp3-1.1.0-mjl.2.i586.rpm --nodeps
    Just create a desktop link to /usr/local/bin/amazonmp3 and browse
    to /usr/local/share/pixmaps for the icon. (I never got around to
    fixing the linking...)

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 14:07, 2 users, load average: 0.31, 0.35, 0.27
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  5. #5
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Here is a link on what to do.
    Amazon MP3 Downloader on openSUSE 11 - openSUSE
    If that's too complicated, I have an rpm I built and have it running on
    11.2 and can give you a download link.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 13:39, 2 users, load average: 0.08, 0.09, 0.08
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18
    How did you know if the OP was an amazon.com or an amazon.co.uk user?

    A UK Amazon user would be interested in my Howto here for 11.1 possibly. I suppose I should investigate and update it for 11.2 since Amazon (UK) don't seem to have provided upgrades since their original downloader release (11.0 for UK) on all four supported distros (Ubuntu, Debian, Fedora, being the others).

    Does your rpm also work on the UK site?

  6. #6

    Default Re: Amazonmp3 app, install on 11.2?

    OK I installed the rpm, but how do I run the program? I cannot find it. Opening terminal & typing "amazonmp3" yields nothing. It says it's already installed, but it again had a dependency error.

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,211
    Blog Entries
    15

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by consused
    malcolmlewis;2066333 Wrote:
    > Hi
    > Here is a link on what to do.
    > 'Amazon MP3 Downloader on openSUSE 11 - openSUSE'
    > (http://en.opensuse.org/Amazon_MP3_Do...on_openSUSE_11)
    > If that's too complicated, I have an rpm I built and have it running
    > on
    > 11.2 and can give you a download link.
    >
    > --
    > Cheers Malcolm (Linux Counter #276890)
    > SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    > up 2 days 13:39, 2 users, load average: 0.08, 0.09, 0.08
    > GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18

    How did you know if the OP was an amazon.com or an amazon.co.uk user?

    A UK Amazon user would be interested in my 'Howto here for 11.1'
    (http://tinyurl.com/yzj8atn) possibly. I suppose I should investigate
    and update it for 11.2 since Amazon (UK) don't seem to have provided
    upgrades since their original downloader release (11.0 for UK) on all
    four supported distros (Ubuntu, Debian, Fedora, being the others).

    Does your rpm also work on the UK site?
    Hi
    See the FAQ's about using nntp

    I seem to have lost my spec file and src rpm I used.... do you still
    have a copy?

    It would be easy enough to create a spec file to build either based on
    a flag in the spec file.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 14:47, 2 users, load average: 0.16, 0.13, 0.10
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,211
    Blog Entries
    15

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by wiccanhart1
    OK I installed the rpm, but how do I run the program? I cannot find it.
    Opening terminal & typing "amazonmp3" yields nothing. It says it's
    already installed, but it again had a dependency error.
    Hi
    It's in /usr/local/bin so try /usr/local/bin/amazonmp3 It works fine
    for me on the netbook? Did you remember the --nodeps?

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 15:00, 2 users, load average: 0.08, 0.10, 0.09
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18


  9. #9
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Amazonmp3 app, install on 11.2?

    Quote Originally Posted by malcolmlewis View Post
    Hi
    See the FAQ's about using nntp

    I seem to have lost my spec file and src rpm I used.... do you still
    have a copy?

    It would be easy enough to create a spec file to build either based on
    a flag in the spec file.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.37-0.1-default
    up 2 days 14:47, 2 users, load average: 0.16, 0.13, 0.10
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 190.18
    Hi

    May find the spec file, but iirc I never got around to the source. Will search and reply by PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •